# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "thoth"
  s.version = "0.2.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Ryan Grove"]
  s.date = "2008-09-09"
  s.email = "ryan@wonko.com"
  s.executables = ["thoth"]
  s.files = ["bin/thoth"]
  s.homepage = "http://thothblog.org/"
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.6")
  s.rubyforge_project = "riposte"
  s.rubygems_version = "1.8.23"
  s.summary = "A fast and simple blog engine based on Ramaze and Sequel."

  if s.respond_to? :specification_version then
    s.specification_version = 2

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<ramaze>, [">= 2008.06"])
      s.add_runtime_dependency(%q<builder>, [">= 2.1.2"])
      s.add_runtime_dependency(%q<configuration>, [">= 0.0.5"])
      s.add_runtime_dependency(%q<cssmin>, ["~> 1.0.2"])
      s.add_runtime_dependency(%q<erubis>, [">= 2.7.0"])
      s.add_runtime_dependency(%q<hpricot>, ["~> 0.6"])
      s.add_runtime_dependency(%q<json_pure>, ["~> 1.1.3"])
      s.add_runtime_dependency(%q<jsmin>, ["~> 1.0.0"])
      s.add_runtime_dependency(%q<RedCloth>, ["~> 4.0.3"])
      s.add_runtime_dependency(%q<sequel>, [">= 2.5.0"])
      s.add_runtime_dependency(%q<thin>, [">= 0.8.2"])
    else
      s.add_dependency(%q<ramaze>, [">= 2008.06"])
      s.add_dependency(%q<builder>, [">= 2.1.2"])
      s.add_dependency(%q<configuration>, [">= 0.0.5"])
      s.add_dependency(%q<cssmin>, ["~> 1.0.2"])
      s.add_dependency(%q<erubis>, [">= 2.7.0"])
      s.add_dependency(%q<hpricot>, ["~> 0.6"])
      s.add_dependency(%q<json_pure>, ["~> 1.1.3"])
      s.add_dependency(%q<jsmin>, ["~> 1.0.0"])
      s.add_dependency(%q<RedCloth>, ["~> 4.0.3"])
      s.add_dependency(%q<sequel>, [">= 2.5.0"])
      s.add_dependency(%q<thin>, [">= 0.8.2"])
    end
  else
    s.add_dependency(%q<ramaze>, [">= 2008.06"])
    s.add_dependency(%q<builder>, [">= 2.1.2"])
    s.add_dependency(%q<configuration>, [">= 0.0.5"])
    s.add_dependency(%q<cssmin>, ["~> 1.0.2"])
    s.add_dependency(%q<erubis>, [">= 2.7.0"])
    s.add_dependency(%q<hpricot>, ["~> 0.6"])
    s.add_dependency(%q<json_pure>, ["~> 1.1.3"])
    s.add_dependency(%q<jsmin>, ["~> 1.0.0"])
    s.add_dependency(%q<RedCloth>, ["~> 4.0.3"])
    s.add_dependency(%q<sequel>, [">= 2.5.0"])
    s.add_dependency(%q<thin>, [">= 0.8.2"])
  end
end
